Subject: Re: [Help!] AppleWorks 2.0 on IIGS
From: [email-masked]
Date: Tue, 29 Apr 1997 14:41:38 +0000
Newsgroups: comp.sys.apple2

Joseph E. Walsh writes ...
> 
> Hi,
> 
> I'm trying to get AppleWorks 2.0 to work on the IIGS.  Here's what I've
> tried, and the results of each:
> 
> 1)  Boot IIGS as normal (from 100 MB HDD with GS/OS 6.0.1).  Put AW2.0
> disk in the 5.25" disk drive.  Open disk on desktop.  Click on
> APLWORKS.SYSTEM.
>     Result:  Loads ProDOS, loads AppleWorks side 1 fine.  When it tells
> me to, I flip the disk and hit return. Then it asks for the date, and it
> reads it correctly from the system clock.  I hit enter.  It says "loading
> appleworks into extended memory" (BTW, it reports available memory
> correctly; more than 3 MB free).  But it just sits there.  It won't even
> reboot correctly (hitting Control-Apple-Reset doesn't work). ....
>

     If your Appleworks 2.0 is the typical multi-patched version (e.g. bug 
fixes, Time Out, etc.) you might try the following ...

Do a CATALOG to find the length of your APPLEWORKS.SYS file.

BLOAD APPLEWORKS.SYS at $1000 and go to the monitor.

Look for A2 02 1D (for example \A2 02 1D\<1000.4FFFP).
  I found it at around $24F4.

Change the 1D to 1B and exit the monitor.

BSAVE APPLEWORKS.SYS, TSYS, A$1000, L <the length in decimal of the file>

     What the mod does is to change the toolbox call starting at $24F4 
(or wherever) from a check for Total Memory to a check for Available 
Memory. 

Rubywand